PETSc version 3.15.5
Fix/Edit manual page

# PetscViewer

Abstract PETSc object that helps view (in ASCII, binary, graphically etc) other PETSc objects

### Synopsis

    typedef struct _p_PetscViewer* PetscViewer;

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

### Level

beginner

### Location

src/sys/classes/viewer/../../../../include/petscviewertypes.h

### Examples

src/dm/tutorials/ex15.c.html
src/snes/tutorials/ex70.c.html
src/ts/tutorials/ex11.c.html

### Implementations

_p_PetscViewer in include/petsc/private/viewerimpl.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages